# FusionDirectory Docker

Basic Docker image for FusionDirectory web server


## Installation
You can use the [docker-compose.yml](./docker-compose.yml) example file.

### Welcome
On the first run of FusionDirectory, you have to configure the application, go to the server, like [http://localhost:8080](http://localhost:8080).

For the authentication, run this command with the `INSTALLATION_TOKEN` given at the bottom of the first page:

```bash
docker exec fusiondirectory bash -c 'echo -n INSTALLATION_TOKEN /var/cache/fusiondirectory/fusiondirectory.auth'
```

### Language setup & Installation check
Select a language and confirm that all the installation check is Ok.

### LDAP setup
On the LDAP connection setup, you have to fill:
* `Connection URI` with the LDAP URI, example: `ldap://openldap:389`
* `Base` with the LDPA base DN, example: `dc=example,dc=org`
* `Admin DN` with the DN of the LDAP admin, example: `cn=admin`
* `Admin password`: with the password of the LDAP admin , example: `example`
Refresh the status and if it's succeeded go to the next page.

### FusionDirectory configuration
You can customize FusionDirectory here, you don't have to, the default values are good.

### LDAP inspection
Run every LDAP migration and create the FusionDirectory's admin user.

You can go to the next page when every check is Ok/green.

### Finish
You can download the configuration file and place it into the FusionDirectory etc volume as `fusiondirectory.conf` and run:

``` bash
docker exec -it fusiondirectory fusiondirectory-setup --check-config
```

Now you can press next, you will be redirected to the login page. You can use the FusionDirectory's admin user credentials created earlier to login.

## Environment variables

| Variable            | Value                                                                                |
|:-------------------:|:------------------------------------------------------------------------------------:|
| `FD_PLUGINS`        | Space separated list of plugins name                                                 |
